> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Dedizierte IP autorisieren

> Autorisieren Dediziert IP

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json POST /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize:
    post:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: Autorisieren Dediziert IP
      description: Autorisieren Sie einen BYOH dedizierten IP.
      operationId: >-
        authorize_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__authorize_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DedicatedIpAuthorizeRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DedicatedIpAuthorizeRequest:
      description: Anfragebody for authorizing a BYOH dedizierte IP.
      properties:
        reissue:
          default: false
          description: >-
            Erzwingen Sie die Neuausstellung des Setup-Schlüssels, auch wenn
            einer vorhanden ist
          title: Neuausgabe
          type: boolean
      title: DedicatedIpAuthorizeRequest
      type: object
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: Autonome Systemnummer für die Zuteilung
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO-Ländercode für die Zuordnung
          title: Landesvorwahl
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Zeitstempel der Erstellung
          title: Erstellt At
        id:
          description: Dediziertes IP UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: Öffentliche Adressen in dieser Zuordnung
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IP-Adressen
          type: array
        name:
          description: Für den Kunden sichtbarer dedizierter IP-Name
          title: Name
          type: string
        status:
          description: Bereitstellungs- oder Lebenszyklusstatus
          title: Status
          type: string
        type:
          description: Dedizierter IP-Zuteilungstyp
          title: Type
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Zeitstempel der letzten Aktualisierung
          title: Aktualisiert am
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PublicDedicatedIpAddressResponse:
      description: Öffentliche dedizierte IP-Adressmetadaten ohne Reputationssignale.
      properties:
        fcrdns_confirmed:
          default: false
          description: Ob vorwärtsbestätigter Rückwärtsgang DNS bestanden wurde
          title: Fcrdns bestätigt
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Aktueller Gesundheitszustand, sofern verfügbar
          title: Fehlerfrei
        ip:
          description: Öffentliche IP-Adresse
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: Kehren Sie den DNS-Hostnamen um, wenn er konfiguriert ist
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````